%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          weld-api
Version:       1.1
Release:       %mkrel 2
Summary:       Contexts and Dependency Injection API 
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.seamframework.org/Weld
# https://github.com/weld/api
# mkdir -p weld-api-1.1.Final
# git clone git://github.com/weld/api.git
# cd api
# git archive 1.1.Final | tar -x -C ../weld-api-1.1.Final
# cd ..
# tar czf weld-api-1.1.Final-src-git.tar.gz weld-api-1.1.Final
Source0:       weld-api-%{namedversion}-src-git.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: atinject
BuildRequires: glassfish-persistence-1.0b-api
BuildRequires: hibernate-validation-api
BuildRequires: jakarta-commons-httpclient
BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-interceptors-1.1-api
BuildRequires: testng
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat6-servlet-2.5-api
# javax.faces jsf-api
BuildRequires: mojarra
BuildRequires: weld-cdi-api
BuildRequires: weld-parent
BuildRequires: jboss-specs-parent

BuildRequires: maven
BuildRequires: maven-deploy-plugin
BuildRequires: maven-cal10n-plugin
BuildRequires: maven-surefire-provider-testng 

Requires:      hibernate-validation-api
Requires:      jakarta-commons-httpclient
Requires:      mojarra
Requires:      testng
Requires:      tomcat6-servlet-2.5-api
Requires:      weld-cdi-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Reference Implementation of the JSR-299: Contexts and Dependency Injection API 

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n weld-api-%{namedversion}

%build

mvn-rpmbuild  \
  install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss

install -pm 644 weld/target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/jboss/%{name}.jar

install -pm 644 weld-spi/target/weld-spi-%{namedversion}.jar \
  %{buildroot}%{_javadir}/jboss/weld-spi.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-build-aggregator.pom
%add_maven_depmap JPP.jboss-%{name}-build-aggregator.pom

install -pm 644 bom/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-bom.pom
%add_maven_depmap JPP.jboss-%{name}-bom.pom

install -pm 644 parent/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom

install -pm 644 weld/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

install -pm 644 weld-spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-weld-spi.pom
%add_maven_depmap JPP.jboss-weld-spi.pom jboss/weld-spi.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_javadir}/jboss/weld-spi.jar
%{_mavenpomdir}/JPP.jboss-%{name}-build-aggregator.pom
%{_mavenpomdir}/JPP.jboss-%{name}-bom.pom
%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavenpomdir}/JPP.jboss-weld-spi.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 385675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 gil <gil> 1.1-1.mga3
+ Revision: 262652
- fix BR
- fix BR
- imported package weld-api

